---
title: lt_float
description: Filter to return stories with a float field value less than the provided float.
url: https://storyblok.com/docs/api/content-delivery/v2/filter-queries/operation-lt-float
---

# lt\_float

Returns all stories with a field value **lower** than the provided value.

This operation can be used for Number fields or Text fields with a float value. Moreover, it can be used for custom fields returning a float value.

## Examples Use Cases

`filter_query[price][lt_float]=119.99`  
Returns all stories with a price **lower** than `119.99`.

`filter_query[price][lt_float]=1199.99`  
Returns all stories with a price **lower** than `1199.99`. Please note the absence of a thousand separator.

## Example Request and Response

The following example demonstrates how to receive all stories with a price **lower** than `1199.99` using the `lt_float` operation.

-   cURL
    
    ```shellscript
    curl "https://api.storyblok.com/v2/cdn/stories/\
    ?filter_query%5Bprice%5D%5Blt_float%5D=1199.99\
    &token=ask9soUkv02QqbZgmZdeDAtt"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      accessToken: "krcV6QGxWORpYLUWt12xKQtt",
    });
    
    try {
      const response = await storyblok.get('cdn/stories/', {
        "filter_query[price][lt_float]": "1199.99"
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\Client('YOUR_STORYBLOK_SPACE_ACCESS_TOKEN');
    
    $client->getStories([
      "filter_query[price][lt_float]" => "1199.99"
    ])->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://api.storyblok.com/v2/cdn/stories/?filter_query%5Bprice%5D%5Blt_float%5D=1199.99&token=ask9soUkv02QqbZgmZdeDAtt")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://api.storyblok.com/v2/cdn/stories/?filter_query%5Bprice%5D%5Blt_float%5D=1199.99&token=ask9soUkv02QqbZgmZdeDAtt");
    var request = new RestRequest(Method.GET);
    
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://api.storyblok.com/v2/cdn/stories/"
    
    querystring = {"filter_query[price][lt_float]":"1199.99","token":"ask9soUkv02QqbZgmZdeDAtt"}
    
    payload = ""
    headers = {}
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(token: 'YOUR_TOKEN')
    
    client.stories({:params => {
      "filter_query[price][lt_float]" => "1199.99"
    }})
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .cdn(accessToken: "ask9soUkv02QqbZgmZdeDAtt"))
    var request = URLRequest(storyblok: storyblok, path: "stories/")
    request.url!.append(queryItems: [
        URLQueryItem(name: "filter_query[price][lt_float]", value: "1199.99")
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(CDN)) {
            accessToken = "ask9soUkv02QqbZgmZdeDAtt"
        }
    }
    
    val response = client.get("stories/") {
        url {
            parameters.append("filter_query[price][lt_float]", "1199.99")
        }
    }
    
    println(response.body<JsonElement>())
    ```

Response

```json
{
  "stories": [
    {
      "name": "Product A",
      "created_at": "2024-03-07T15:42:27.967Z",
      "published_at": "2024-03-07T15:59:58.325Z",
      "id": 457608234,
      "uuid": "43a86f66-0b12-4653-9ed9-6dbceb85cb60",
      "content": {
        "_uid": "2fe813f5-e86a-4f56-a4ea-e9a9bfdc354c",
        "image": {
          "id": null,
          "alt": null,
          "name": "",
          "focus": null,
          "title": null,
          "source": null,
          "filename": "",
          "copyright": null,
          "fieldtype": "asset",
          "meta_data": {}
        },
        "price": "239.99",
        "component": "product"
      },
      "slug": "product-a",
      "full_slug": "products/product-a",
      "sort_by_date": null,
      "position": 0,
      "tag_list": [],
      "is_startpage": false,
      "parent_id": 457608232,
      "meta_data": null,
      "group_id": "7eb7a5f8-8d0b-4c4c-9404-262f7d09f910",
      "first_published_at": "2024-03-07T15:42:52.308Z",
      "release_id": null,
      "lang": "default",
      "path": null,
      "alternates": [],
      "default_full_slug": null,
      "translated_slugs": null
    }
  ],
  "cv": 1709827198,
  "rels": [],
  "links": []
}
```

## Pagination

-   [Previous: gt\_float](/docs/api/content-delivery/v2/filter-queries/operation-gt-float)
-   [Next: gt\_date](/docs/api/content-delivery/v2/filter-queries/operation-gt-date)
